import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { ValueBrushScale } from "./ValueBrushScale";
import { ContourValueResolver } from "./ContourValueResolver";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { RenderSurface } from "./RenderSurface";
import { DataContext } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ScatterContourSeries extends ScatterTriangulationSeries {
    static $t: Type;
    protected get_ew(): boolean;
    constructor();
    ju(a: any, b: string): any;
    private vw;
    protected cg(): SeriesView;
    v8: string;
    private vz;
    get v0(): IFastItemColumn$1<number>;
    set v0(a: IFastItemColumn$1<number>);
    v4: string;
    v6: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    protected o8(a: any, b: string, c: any, d: any): void;
    nj(a: boolean, b: SeriesView): void;
    pq(a: boolean): void;
    po(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected wb(a: SeriesView): void;
    vy: ValueBrushScale;
    vx: ValueBrushScale;
    protected qd(): void;
    private wc;
    private vu;
    get vv(): ContourValueResolver;
    set vv(a: ContourValueResolver);
    private wd;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    au(a: Point, b: boolean): DataContext;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterContourSeriesView extends SeriesView {
    static $t: Type;
    private b2;
    private b1;
    constructor(a: ScatterContourSeries);
    protected b4: List$1<Path>;
    private cb;
    private b7;
    private b8;
    private b9;
    private b3;
    private b0;
    b5(a: List$1<List$1<List$1<Point>>>, b: number[]): void;
    protected bg(a: any, b: number): void;
    protected bh(a: any, b: number): void;
    protected a8(a: RenderingContext, b: boolean): void;
    b6(a: boolean): void;
    an(a: any): void;
    getDefaultTooltipTemplate(): string;
    ca(a: Point, b: boolean): Path;
}
